%define anolis_release 1

%bcond_without docs
%bcond_without tests

Name:           python-simplejson
Version:        3.18.3
Release:        %{anolis_release}%{?dist}
Summary:        Simple, fast, extensible JSON encoder/decoder for Python
License:        (MIT or AFL) and (MIT or GPLv2)
URL:            https://github.com/simplejson/simplejson
Source0:        %{pypi_source simplejson}

BuildRequires: gcc python3-devel

%if %{with tests}
BuildRequires: python3-pytest
%endif

%if %{with docs}
BuildRequires: python3-sphinx
%endif

%description
simplejson is a simple, fast, complete, correct and extensible JSON
<http://json.org> encoder and decoder for Python. It is pure Python code
with no dependencies, but includes an optional C extension for a serious speed
boost.
The encoder may be subclassed to provide serialization in any kind of
situation, without any special support by the objects to be serialized
(somewhat like pickle).
The decoder can handle incoming JSON strings of any specified encoding (UTF-8
by default).
simplejson is the externally maintained development version of the JSON library
included with Python. It gets updated more regularly than the JSON module in
the Python stdlib.

%package -n python3-simplejson
Summary:        Simple, fast, extensible JSON encoder/decoder for Python 3
%{?python_provide:%python_provide python3-simplejson}

%description -n python3-simplejson
simplejson is a simple, fast, complete, correct and extensible JSON
<http://json.org> encoder and decoder for Python. It is pure Python code
with no dependencies, but includes an optional C extension for a serious speed
boost.
The encoder may be subclassed to provide serialization in any kind of
situation, without any special support by the objects to be serialized
(somewhat like pickle).
The decoder can handle incoming JSON strings of any specified encoding (UTF-8
by default).
simplejson is the externally maintained development version of the JSON library
included with Python. It gets updated more regularly than the JSON module in
the Python stdlib.

%if %{with docs}
%package -n python3-simplejson-doc
Summary:        simplejson documentation
Requires:       python3-simplejson = %{EVR}
BuildArch:      noarch

%description -n python3-simplejson-doc
Documentation for simplejson
%endif

%generate_buildrequires
%pyproject_buildrequires

%prep
%setup -q -n simplejson-%{version}

%build
%pyproject_wheel

%if %{with docs}
PYTHONPATH=%{pyproject_build_lib} %{__python3} scripts/make_docs.py
rm -f docs/.{buildinfo,nojekyll}
%endif

%install
%pyproject_install
%pyproject_save_files simplejson

%if %{with tests}
%check
%pytest
%endif

%files -n python3-simplejson -f %{pyproject_files}
%license LICENSE.txt

%if %{with docs}
%files -n python3-simplejson-doc
%doc docs
%endif

%changelog
* Fri May 05 2023 happy_orange <songnannan@linux.alibaba.com> - 3.18.3-1
- package init from upstream
